# Spécificité des événements web

## Champs automatiquement ajoutés à l'événement

Le [JS SDK](/fr/fonctionnalites/sources/sources-catalog/web/js-sdk.md), [Web container](/fr/fonctionnalites/sources/sources-catalog/web/containers.md) et [GTM bridge](/fr/fonctionnalites/sources/sources-catalog/web/gtm.md) ajoute automatiquement des propriétés spécifiques dans l'événement concernant le navigateur.\
Voici un exemple complet de payload d'événement :

```json
{
   "event_name": "search",
   "search_term": "t-shirts",
   "url": "https://www.mywebsite.com/path1/path2/", //Automatically added if missing
   "path": "/path1/path2/", //Automatically added
   "referrer": "https:///www.google.fr", //Automatically added
   "title": "My page title", //Automatically added if missing
   "user": {
      "id": "12345",
      "consistent_anonymous_id": "567892" //Automatically added
      "email": "toto@domain.fr",
      "consent_categories": ["1","3"] //Automatically added if you use Commanders Act CMP
   },
   "context": {
      "event_id": "202110130000000000", //Automatically added
      "generatorVersion": "10.0", //Automatically added
      "containerVersion": "3.1", //Automatically added
      "event_timestamp": "1639044446636", //Automatically added
      "page": { //Automatically added
         "title": "Search page", //Automatically added
         "url": "https://shop.com/search?q=...", //Automatically added
         "lang": "en", //Automatically added
         "referrer": "https:///www.google.fr", //Automatically added
         "viewport": { //Automatically added
            "width": 320, //Automatically added
            "height": 568 //Automatically added
         }
      },
      "device": { //Automatically added
         "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2490.86 Safari/537.36",//Automatically added
         "ip": "102.3.4.56",//Automatically copied from the request header
         "lang": "fr",//Automatically added
         "cookie": "_fbp=123; _fbc=456; _ga=789",//Automatically added
         "timezone": "Europe/Paris"//Automatically added
      }
   }
}
```

## Champs ajoutés automatiquement

<table><thead><tr><th>Nom du champ</th><th>Exemple de valeur</th><th>Description</th></tr></thead><tbody><tr><td>context.event_id</td><td><pre><code>202110130000000000
</code></pre></td><td>ID de l'événement</td></tr><tr><td>context.event_timestamp</td><td><pre><code>1639044446636
</code></pre></td><td>Horodatage de l'envoi de l'événement.</td></tr><tr><td>context.device.user_agent</td><td>Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/102.0.0.0 Safari/537.36</td><td>Le user agent du navigateur</td></tr><tr><td>context.device.lang</td><td>fr</td><td>Langue du navigateur</td></tr><tr><td>path</td><td>/path1/path2/</td><td>Chemin de l'URL actuelle (uniquement sur page_view)</td></tr><tr><td>referrer</td><td><a href="https://www.google.fr">https:///www.google.fr</a></td><td>URL du referer (uniquement sur page_view)</td></tr><tr><td>title</td><td>My page title</td><td>Titre de la page actuelle (uniquement sur page_view)</td></tr><tr><td>url</td><td><a href="https://www.google.fr">https:///www.mywebsite.fr</a></td><td>URL de la page actuelle</td></tr><tr><td>page.*</td><td></td><td>informations sur les pages</td></tr></tbody></table>

{% hint style="info" %}
L'adresse IP n'est pas collectée par nos bibliothèques, mais renseignée par nos serveurs lorsqu'ils reçoivent un message pour **événements côté client uniquement**. En la copiant depuis l'en-tête de la requête contenant l'adresse IP.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.commandersact.com/fr/developers/tracking-and-integrations/tracking/about-events/js-sdk-event-specificity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
